package com.gic.haoban.manage.api.dto.anaylsis;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-08-29 09:55:06
 */
public class ClerkShareGoodsLogDTO implements Serializable {

    private static final long serialVersionUID = 903792260439296719L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 成员id
     */
    private String staffId;

    /**
     * 素材分享类型
     * @see com.gic.haoban.manage.api.enums.content.ClerkShareMaterialType
     */
    private Integer shareType;

    /**
     * 业务id
     */
    private String bizId;

    /**
     * 业务类型
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 外部联系人id
     */
    private String externalUserId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 额外数据
     */
    private String extend;

    /**
     * 中转页id
     */
    private String wxaLinkId;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }

    public String getWxaLinkId() {
        return wxaLinkId;
    }

    public void setWxaLinkId(String wxaLinkId) {
        this.wxaLinkId = wxaLinkId;
    }
}
